package com.vetti.common.enums.command;

/**
 * 车辆类型枚举
 */
public enum VehicleTypesEnum {
    PRIME_MOVERS("primeMovers", "Prime Movers"),
    B_DOUBLES("bDoubles", "B-Doubles"),
    ROAD_TRAINS("roadTrains", "Road Trains"),
    RIGID_TRUCKS("rigidTrucks", "Rigid Trucks"),


    ;

    private final String code;
    private final String info;

    VehicleTypesEnum(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
